Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Class SightlyParser.OptionListContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParser.OptionListContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  SightlyParser

    public static class SightlyParser.OptionListContext
    extends org.antlr.v4.runtime.ParserRuleContext

### Field Summary

Fields
`SightlyParser.OptionContext` `f`
`Map<String,​ExpressionNode>` `options`
`SightlyParser.OptionContext` `r`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
`OptionListContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.antlr.v4.runtime.tree.TerminalNode>` `COMMA()`
`org.antlr.v4.runtime.tree.TerminalNode` `COMMA​(int i)`
`void` `enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void` `exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`int` `getRuleIndex()`
`List<SightlyParser.OptionContext>` `option()`
`SightlyParser.OptionContext` `option​(int i)`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### options

    public Map<String,​ExpressionNode> options

#### f

    public SightlyParser.OptionContext f

#### r

    public SightlyParser.OptionContext r

### Constructor Detail

#### OptionListContext

    public OptionListContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                             int invokingState)

### Method Detail

#### option

    public List<SightlyParser.OptionContext> option()

#### option

    public SightlyParser.OptionContext option​(int i)

#### COMMA

    public List<org.antlr.v4.runtime.tree.TerminalNode> COMMA()

#### COMMA

    public org.antlr.v4.runtime.tree.TerminalNode COMMA​(int i)

#### getRuleIndex

    public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

#### enterRule

    public void enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

#### exitRule

    public void exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`